Skip to content

Cross-border payment requirements

GET
/api/country/{country}/paymentrequirement
Code sample: Shell / cURL
curl --request GET \
--url https://api.ztlpay.io/api/country/example/paymentrequirement \
--header 'Authorization: Bearer <token>'

Gives additional payment requirements per country. If the country additional remittance information, this information is mandatory.

country
required
string

2-letters country code

Payment Requirements

Media typeapplication/json
object
countryCode
required

2-letters country code

string
countryName

Country name (English)

string
localCurrency
required

3-letter currency code

string
acceptedCurrencies
required

All currency the receiving county supports

Array<string>
supportedBankAccountFormats
required

Required bank account format for receiving country. Can be one or multiple account formats.

Array
Any of:
Iban

Country supports Iban bank account format.

object
type
string
Allowed values: iban
paymentRequirements

Additional payment requirements for receiving country.

Array<object>
object
type
string
Allowed values: additionalRemittanceInformationRequired
description

Text description of the requirement

string
requirementType
  • PurposeCode A valid purpose code, either from validCodes list or pattern
  • TaxCode The receivers TaxId are required
  • Reason A reason for the payment (text) must be provided
string
Allowed values: PurposeCode TaxCode Reason
pattern

RegEx pattern used to validate the value

string
validCodes

A list of accepted codes for the value

Array<object>
object
code
string
description

Description of the value

string
painArrayIndex

Position of this value in unstructured remittance information when applicable.

integer
Example
{
"countryCode": "SE",
"countryName": "Sweden",
"localCurrency": "NOK",
"acceptedCurrencies": [
"EUR"
],
"supportedBankAccountFormats": [
{
"type": "iban"
}
],
"paymentRequirements": [
{
"type": "additionalRemittanceInformationRequired",
"requirementType": "PurposeCode"
}
]
}

Forbidden

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9